Package org.silverpeas.components.hyperlink.control

# Class HyperlinkSessionController

java.lang.Object
org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
org.silverpeas.components.hyperlink.control.HyperlinkSessionController

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

public class HyperlinkSessionController extends org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

Author:
  nchaix
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HyperlinkSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMethodType()`
  `String`
  `getURL()`
  `org.silverpeas.core.admin.user.model.UserFull`
  `getUserFull()`
  `boolean`
  `isClientSSO()`
  `boolean`
  `isClientSSOWithoutDefinedConnection()`

  ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getHighestSilverpeasUserRole, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HyperlinkSessionController

    public HyperlinkSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext context)

- ## Method Details

  - ### getUserFull

    public org.silverpeas.core.admin.user.model.UserFull getUserFull()

  - ### isClientSSO

    public boolean isClientSSO()

  - ### getURL

    public String getURL()

  - ### getMethodType

    public String getMethodType()

  - ### isClientSSOWithoutDefinedConnection

    public boolean isClientSSOWithoutDefinedConnection()